"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _jsxruntime = require('react/jsx-runtime');
var _getStyleAttributes = require('./getStyleAttributes');
const Body = ({ children, theme, style, size = "standard" }) => {
  const classes = [`o3-typography-body-${size}`];
  if (style === "italic") {
    classes.push("o3-typography-italic");
  }
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    "p",
    {
      className: classes.join(" "),
      ..._getStyleAttributes.getStyleAttributes.call(void 0, {
        theme
      }),
      children
    }
  );
};
const Strong = ({
  children,
  theme
}) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    "strong",
    {
      className: "o3-typography-bold",
      ..._getStyleAttributes.getStyleAttributes.call(void 0, {
        theme
      }),
      children
    }
  );
};
const Emphasis = ({ children, theme }) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "em", { className: "o3-typography-italic", ..._getStyleAttributes.getStyleAttributes.call(void 0, { theme }), children });
};
const Subscript = ({ children, theme }) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "sub", { className: "o3-typography-sub", ..._getStyleAttributes.getStyleAttributes.call(void 0, { theme }), children });
};
const Superscript = ({ children, theme }) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "sup", { className: "o3-typography-sup", ..._getStyleAttributes.getStyleAttributes.call(void 0, { theme }), children });
};






exports.Body = Body; exports.Emphasis = Emphasis; exports.Strong = Strong; exports.Subscript = Subscript; exports.Superscript = Superscript;
