"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _jsxruntime = require('react/jsx-runtime');
var _getStyleAttributes = require('./getStyleAttributes');
var Theme = /* @__PURE__ */ ((Theme2) => {
  Theme2["standard"] = "standard";
  Theme2["inverse"] = "inverse";
  return Theme2;
})(Theme || {});
const makeClasses = (theme) => {
  const classes = [];
  if (theme !== "standard" /* standard */) {
    classes.push(`o3-typography-link--${theme}`);
  }
  return classes.join(" ");
};
const Link = ({
  theme = "standard" /* standard */,
  children,
  openInNewWindow = false,
  ...anchorProps
}) => {
  if (openInNewWindow) {
    Object.assign(anchorProps, {
      rel: "noreferrer noopener",
      target: "_blank"
    });
  }
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    "a",
    {
      className: "o3-typography-link",
      ..._getStyleAttributes.getStyleAttributes.call(void 0, { theme }),
      ...anchorProps,
      children
    }
  );
};


exports.Link = Link;
