import { jsx } from "react/jsx-runtime";
import { getStyleAttributes } from "./getStyleAttributes";
const Body = ({ children, theme, style, size = "standard" }) => {
  const classes = [`o3-typography-body-${size}`];
  if (style === "italic") {
    classes.push("o3-typography-italic");
  }
  return /* @__PURE__ */ jsx(
    "p",
    {
      className: classes.join(" "),
      ...getStyleAttributes({
        theme
      }),
      children
    }
  );
};
const Strong = ({
  children,
  theme
}) => {
  return /* @__PURE__ */ jsx(
    "strong",
    {
      className: "o3-typography-bold",
      ...getStyleAttributes({
        theme
      }),
      children
    }
  );
};
const Emphasis = ({ children, theme }) => {
  return /* @__PURE__ */ jsx("em", { className: "o3-typography-italic", ...getStyleAttributes({ theme }), children });
};
const Subscript = ({ children, theme }) => {
  return /* @__PURE__ */ jsx("sub", { className: "o3-typography-sub", ...getStyleAttributes({ theme }), children });
};
const Superscript = ({ children, theme }) => {
  return /* @__PURE__ */ jsx("sup", { className: "o3-typography-sup", ...getStyleAttributes({ theme }), children });
};
export {
  Body,
  Emphasis,
  Strong,
  Subscript,
  Superscript
};
