import { jsx } from "react/jsx-runtime";
import { getStyleAttributes } from "./getStyleAttributes";
var Theme = /* @__PURE__ */ ((Theme2) => {
  Theme2["standard"] = "standard";
  Theme2["inverse"] = "inverse";
  return Theme2;
})(Theme || {});
const makeClasses = (theme) => {
  const classes = [];
  if (theme !== "standard" /* standard */) {
    classes.push(`o3-typography-link--${theme}`);
  }
  return classes.join(" ");
};
const Link = ({
  theme = "standard" /* standard */,
  children,
  openInNewWindow = false,
  ...anchorProps
}) => {
  if (openInNewWindow) {
    Object.assign(anchorProps, {
      rel: "noreferrer noopener",
      target: "_blank"
    });
  }
  return /* @__PURE__ */ jsx(
    "a",
    {
      className: "o3-typography-link",
      ...getStyleAttributes({ theme }),
      ...anchorProps,
      children
    }
  );
};
export {
  Link
};
